import { DataTableComponent } from './data-table.component';
import { TableService } from './data-table.service';
export declare class SelectRowDirective {
    dt: DataTableComponent;
    tableService: TableService;
    rowData: any;
    constructor(dt: DataTableComponent, tableService: TableService);
    onClick(event: Event): void;
    isSelected(): boolean;
}
